Final Work: Andrew Aquart B.Arch

005 Exterior006 Interior001 Concept A (1) 002 Concept B 003 Plans 004 Sections (1)   IMG_5206 IMG_5474 IMG_5486 IMG_5487 IMG_5513 IMG_5515  IMG_5526 IMG_5530 (1) IMG_5532 IMG_5535

Posted in Assignments | Leave a comment

Final Work: Zhe Wen B. Arch

2nd concept1st concept 7th exo 2 6th exo 3rd plan site site  打印 打印 打印wen zhe-03wen zhe-02

Posted in Assignments | Leave a comment

Final Work: Sansheng Gu M. Arch

566 7

12

sansheng final sansheng2 sansheng3 sansheng4 sansheng5 sansheng6

 

Posted in Assignments | Leave a comment

Final Work: Caroline Redelmeier M.Arch

Module 1 Board 2 Module 1 Board 11Module 1 Board 33photo 3s100_0794 s100_0811 s100_0818 Site Board2  render board 11    photo 1 (6) photo 3 (8) photo 1 (13) photo 2 (12)photo 1 (11) (1) photo 3 (2)  photo 3 (17)  s100_0756

Posted in Assignments | Leave a comment

Final Work Xuwen Xing M.Arch

3.1 3.15 3.14 3.13 3.12

Posted in Assignments | Leave a comment

Final Work: Yi Johnson M.Arch

board 5board 3board 4board 6board 1 board 2     20140429_111832 20140429_122429  20140506_104815 20140506_10483420140506_104545

 

Posted in Assignments | Leave a comment

final models

IMG_1126

IMG_1127

IMG_1128

IMG_1129

IMG_1130

IMG_1131

IMG_1132

IMG_1133

IMG_1134

IMG_1135

IMG_1136

IMG_1137

IMG_1140

IMG_1167

Posted in Assignments | Leave a comment

tools and failed parts

IMG_1144

IMG_1198

Posted in Assignments | Leave a comment

models of project3

IMG_1070

IMG_1146

IMG_1181

IMG_1182

IMG_1183

Posted in Assignments | Leave a comment

models of project2

IMG_0920

IMG_1179

IMG_1180

IMG_1185

IMG_1186

IMG_1188

IMG_1189

IMG_1190

IMG_1191

IMG_1192

IMG_1193

IMG_1195

Posted in Assignments | Leave a comment

ArrangeHousing_(genRandom)

import rhinoscriptsyntax as rs
import random

def ArrangeHousing():
 """Locates and Generates units from existing curves"""
 
 curveList = rs.GetObjects()
 x = 0.05
 for curve in curveList:
 number = random.random()
 if number > 0.8:
 trans = [0,0,9]
 midCurve = rs.CopyObject(curve, trans)
 centroid = rs.CurveAreaCentroid(curve)
 origin = centroid[0]
 scale = [x,x,1]
 topCurve = rs.ScaleObject(curve, origin, scale, True)
 trans2 = [0,0,25 *number]
 rs.MoveObject(topCurve, trans2)
 ids = [curve, midCurve, topCurve]
 house = rs.AddLoftSrf(ids)
 rs.OffsetSurface(house, 5)
 x = x + 0.01
ArrangeHousing()

Image

Posted in Assignments | Leave a comment

iris mechanism with sensor

Posted in Assignments | Leave a comment

许文

 

import rhinoscriptsyntax as rs
import math as mt
def lisacurve():
nlist= range(1 , 8)
for n in nlist:
anglelist = range( 0, 360)
crvList = []
ptlist = []
for angle in anglelist:
a = 1
b = 1
c = 1
t = mt.radians(angle)
x = a * mt.sin(n * t + c)
y = b * mt.sin(t)
ptposition = (x, y, mt.sin(angle))
pt = rs.AddPoint(ptposition)
ptlist.append(pt)
curve01 = rs.AddCurve(ptlist)
lisacurve()

Posted in Assignments | Leave a comment

March 27 Loops


import rhinoscriptsyntax as rs

"""LOOPS"""

def forLOOP():
# USING XRANGE
evens = [2,4,6,8]
for even in evens:
print even
for x in xrange(8):
print x
for x in xrange(3,6):
print x

forLOOP()

"""while loops have boolean condition"""

def whileLOOP():
count = 0
while count < 10:
print count
count += 1
if count >= 5:
break
"""limts the outcome between 0-4"""

whileLOOP()

Posted in Announcements | Tagged , | 1 Comment

March 26 Generators

def fib():
 a, b = 2, 3
 while 1:
 yield a 
 a, b = b, a + b

import types
if type ( fib()) == types.GeneratorType:
 print "fib series."
 
 counter = 0
 for n in fib():
 print n
 counter += 1
 if counter == 15:
 break
 
Posted in Assignments | Tagged , | Leave a comment

March 25 Learning Strings Codes


import rhinoscriptsyntax as rs

def ArithmeticOperators ():
number = 1 + 2 * 3 /2.0
print number
remainder = 13 % 3
print remainder
squared = 5 ** 2
print squared
cubed = 2 ** 3
print cubed

ArithmeticOperators ()

def LearnStrings():
hello = "hello"
print hello
manyhello = "hello" * 13
print manyhello

Astring = "Hey Man."

print len(Astring)
"""len(x) prints out the number of
characters including punctuation"""

print Astring.index("y")
""" y is the second character """

print Astring.count("a")
""" there is only one a character """

LearnStrings()

Posted in Assignments | Tagged , | Leave a comment

code16

</pre>
import rhinoscriptsyntax as rs

def triangle():
 p0 = [0,0,0]
 p1 = [0.25,0.75,0]
 p2 = [0,1,0]
 pts = [p0,p1,p2,p0]
 tri = rs.AddPolyline(pts)
 return tri

def rotate(obj,angle):
 center = [0,0,0]
 result = rs.RotateObject(obj,center,angle)
 return result

def cyclic(number):
 increment = 360/number
 angle = 0
 count = range(number)
 for i in count:
 tri = triangle()
 tri = rotate(tri,angle)
 angle = angle + increment

cyclic(10)
<pre>

Posted in Assignments | 1 Comment

code15

</pre>
import rhinoscriptsyntax as rs

def triangle():
 p0 = [0,0,0]
 p1 = [0.25,0.75,0]
 p2 = [0,1,0]
 pts = [p0,p1,p2,p0]
 tri = rs.AddPolyline(pts)
 return tri

def translate(obj,x,y):
 translation = [x,y,0]
 trans = rs.MoveObject(obj,translation)
 return trans

def reflect_y(obj):
 start = [0,-1,0]
 end = [0,1,0]
 ref = rs.MirrorObject(obj,start,end)
 return ref

def rotate(obj,angle):
 center = [0,0,0]
 result = rs.RotateObject(obj,center,angle)
 return result

def square_grid(spacing,h_number,v_number):
 ty = 0
 v_count = range(v_number)
 h_count = range(h_number)
 for v in v_count:
 tx = 0
 for h in h_count:
 tri = triangle()
 tri = translate(tri,tx,ty)
 tx = tx + spacing
 ty = ty + spacing

square_grid(1.2,4,4)
<pre>

Posted in Assignments | Leave a comment

code14

</pre>
import rhinoscriptsyntax as rs

def triangle():
 p0 = [0,0,0]
 p1 = [0.25,0.75,0]
 p2 = [0,1,0]
 pts = [p0,p1,p2,p0]
 tri = rs.AddPolyline(pts)
 return tri

def translate(obj,x,y):
 translation = [x,y,0]
 trans = rs.MoveObject(obj,translation)
 return trans

def simpleFrieze(spacing,number):
 tx = 0
 count = range(number)
 for i in count:
 tri = triangle()
 tri = translate(tri,tx,0)
 tx = tx + spacing

simpleFrieze(1,6)
<pre>

Posted in Assignments | Leave a comment

code13

</pre>
import rhinoscriptsyntax as rs

def triangle():
 p0 = [0,0,0]
 p1 = [0.25,0.75,0]
 p2 = [0,1,0]
 pts =[p0,p1,p2,p0]
 tri = rs.AddPolyline(pts)
 return tri

def translate(obj,x,y):
 translation = [x,y,0]
 trans = rs.MoveObject(obj,translation)
 return trans

def reflect_y(obj):
 start = [0,-1,0]
 end = [0,1,0]
 ref = rs.MirrorObject(obj,start,end)
 return ref

def rotate(obj,angle):
 center = [0,0,0]
 result = rs.RotateObject(obj,center,angle)
 return result

def frieze(x_separation,y_separation,spacing, number):
 tx = 0
 count = range(number)
 for i in count:
 tri = triangle()
 tri = reflect_y(tri)
 tri = rotate(tri,180)
 tx = tx + x_separation
 ty = -y_separation
 tri = translate(tri,tx,ty)
 tri = triangle()
 tri = translate(tri,tx,0)
 tx = tx + spacing

frieze(1,1,0.5,6)
<pre>

Posted in Assignments | Leave a comment